## org.gnu.gtk
Class AboutDialog

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.Window
                                  org.gnu.gtk.Dialog
                                      org.gnu.gtk.AboutDialog

public class AboutDialog
extends Dialog

Display information about an application.

Gtk's AboutDialog offers a simple way to display information about a program like its logo, name, copyright, website and license. It is also possible to give credits to the authors, documenters, translators and artists who have worked on the program. An about dialog is typically opened when the user selects the About option from the Help menu. All parts of the dialog are optional.

Constructor Summary
`AboutDialog()` Create a new AboutDialog.
`AboutDialog(org.gnu.glib.Handle handle)` Internal constructor.

Method Summary
`static AboutDialog` `getAboutDialog(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`java.lang.String[]` `getArtists()` Gets the strings which are displayed in the documenters tab of the secondary credits dialog.
`java.lang.String[]` `getAuthors()` Gets the strings which are displayed in the authors tab of the secondary credits dialog.
`java.lang.String` `getComments()` Gets the comments string displayed in the about dialog.
`java.lang.String` `getCopyright()` Gets the copyright string displayed in the about dialog.
`java.lang.String[]` `getDocumenters()` Gets the strings which are displayed in the artists tab of the secondary credits dialog.
`java.lang.String` `getLicense()` Gets the license information displayed in the secondary license dialog.
`Pixbuf` `getLogo()` Gets the pixbuf displayed as logo in the about dialog.
`java.lang.String` `getLogoIconName()` Gets the icon name displaed as logo in the about dialog.
`java.lang.String` `getName()` Gets the name displayed in the about dialog.
`java.lang.String` `getTranslatorCredits()` Gets the translator credits string which is displayed in the translators tab of the secondary credits dialog.
`java.lang.String` `getVersion()` Gets the version string displayed in the about dialog.
`java.lang.String` `getWebsite()` Gets the URL used for the website link.
`java.lang.String` `getWebsiteLabel()` Sets the label to be used for the website link.
`boolean` `getWrapLicense()` Gets whether the license text will be automatically wrapped.
`java.lang.String[]` `setArtists()` Deprecated. Use `getArtists()` instead.
`void` `setArtists(java.lang.String[] val)` Sets the strings which are displayed in the documenters tab of the secondary credits dialog.
`void` `setAuthors(java.lang.String[] val)` Sets the strings which are displayed in the authors tab of the secondary credits dialog.
`void` `setComments(java.lang.String val)` Sets the comments string to display in the about dialog.
`void` `setCopyright(java.lang.String val)` Sets the copyright string to display in the about dialog.
`java.lang.String[]` `setDocumenters()` Deprecated. Use `getDocumenters()` instead.
`void` `setDocumenters(java.lang.String[] val)` Sets the strings which are displayed in the artists tab of the secondary credits dialog.
`static void` `setEmailHook(AboutDialogActivateLinkMethod method)` Set a handler object to be used whenever the user activates an Email link in the authors, documenters or artists sections.
`void` `setLicense(java.lang.String val)` Sets the license information to be displayed in the secondary license dialog.
`void` `setLogo(Pixbuf val)` Sets the pixbuf to be displayed as logo in the about dialog.
`void` `setLogoIconName(java.lang.String val)` Sets the icon name displaed as logo in the about dialog.
`void` `setName(java.lang.String val)` Sets the name to display in the about dialog.
`void` `setTranslatorCredits(java.lang.String val)` Sets the translator credits string which is displayed in the translators tab of the secondary credits dialog.
`static void` `setURLHook(AboutDialogActivateLinkMethod method)` Set a handler object to be used whenever the user activates a URL link in the authors, documenters or artists sections.
`void` `setVersion(java.lang.String val)` Sets the version string to display in the about dialog.
`java.lang.String` `setWebsite()` Deprecated. Use `getWebsite()`.
`void` `setWebsite(java.lang.String website)` Sets the URL to use for the website link.
`void` `setWebsiteLabel(java.lang.String val)` Sets the label to be used for the website link.
`void` `setWrapLicense(boolean wrapLicense)` Sets whether the license text is automatically wrapped.

Methods inherited from class org.gnu.gtk.Dialog
`addButton, addButton, addListener, addWidget, getActionArea, getDialog, getDialogLayout, getEventListenerClass, getEventType, getHasSeparator, getResponseForWidget, getType, removeListener, run, setDefaultResponse, setHasSeparator`

Methods inherited from class org.gnu.gtk.Window

`addAccelGroup, deiconify, destroy, fullscreen, getAcceptFocus, getDefaultIconList, getFocusOnMap, getFocusWidget, getGravity, getIcon, getIconList, getIconName, getPosition, getScreen, getSize, getSkipPagerHint, getSkipTaskbarHint, getTitle, getTransientParent, getWindow, hasToplevelFocus, iconify, isActive, isDestroyed, listToplevelWindows, maximize, move, present, removeAccelGroup, resize, setAcceptFocus, setAutoStartupNotification, setDecorated, setDefaultIcon, setDefaultIconFromFile, setDefaultIconList, setDefaultIconName, setDefaultSize, setDefaultWidget, setFocusOnMap, setFocusWidget, setGeometryHints, setGravity, setIcon, setIconFromFile, setIconList, setIconName, setKeepAbove, setKeepBelow, setModal, setPosition, setResizable, setScreen, setSkipPagerHint, setSkipTaskbarHint, setTitle, setTransientParent, stick, unfullscreen, unmaximize, unstick`

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getParent, getParentWindow, getPointer, getRootWindow, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AboutDialog

    public AboutDialog(org.gnu.glib.Handle handle)

  Internal constructor.

### AboutDialog

    public AboutDialog()

  Create a new AboutDialog.

Method Detail

### getAboutDialog

    public static AboutDialog getAboutDialog(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setName

    public void setName(java.lang.String val)

  Sets the name to display in the about dialog.

  Overrides:
    `setName` in class `Widget`
  Parameters:
    `val` - The name for the widget.

### getName

    public java.lang.String getName()

  Gets the name displayed in the about dialog.

  Overrides:
    `getName` in class `Widget`
  Returns:
    The name for the widget.

### setVersion

    public void setVersion(java.lang.String val)

  Sets the version string to display in the about dialog.

### getVersion

    public java.lang.String getVersion()

  Gets the version string displayed in the about dialog.

### setCopyright

    public void setCopyright(java.lang.String val)

  Sets the copyright string to display in the about dialog. This should be a short string of one or two lines.

### getCopyright

    public java.lang.String getCopyright()

  Gets the copyright string displayed in the about dialog.

### setComments

    public void setComments(java.lang.String val)

  Sets the comments string to display in the about dialog. This should be a short string of one or two lines.

### getComments

    public java.lang.String getComments()

  Gets the comments string displayed in the about dialog.

### setLicense

    public void setLicense(java.lang.String val)

  Sets the license information to be displayed in the secondary license dialog. If license is null, the license button is hidden.

  Parameters:
    `val` - The license information or NULL.

### getLicense

    public java.lang.String getLicense()

  Gets the license information displayed in the secondary license dialog.

### setWrapLicense

    public void setWrapLicense(boolean wrapLicense)

  Sets whether the license text is automatically wrapped.

  Parameters:
    `wrapLicense` -

### getWrapLicense

    public boolean getWrapLicense()

  Gets whether the license text will be automatically wrapped.

  Returns:
    true if the license text will be wrapped automatically

### setWebsite

    public void setWebsite(java.lang.String website)

  Sets the URL to use for the website link.

  Parameters:
    `website` - A URL string starting with "http://".

### setWebsite

    public java.lang.String setWebsite()

  Deprecated. Use `getWebsite()`.

  Gets the URL used for the website link.

### getWebsite

    public java.lang.String getWebsite()

  Gets the URL used for the website link.

### setWebsiteLabel

    public void setWebsiteLabel(java.lang.String val)

  Sets the label to be used for the website link. It defaults to the website URL.

### getWebsiteLabel

    public java.lang.String getWebsiteLabel()

  Sets the label to be used for the website link. It defaults to the website URL.

### setAuthors

    public void setAuthors(java.lang.String[] val)

  Sets the strings which are displayed in the authors tab of the secondary credits dialog.

### getAuthors

    public java.lang.String[] getAuthors()

  Gets the strings which are displayed in the authors tab of the secondary credits dialog.

### setDocumenters

    public void setDocumenters(java.lang.String[] val)

  Sets the strings which are displayed in the artists tab of the secondary credits dialog.

### setDocumenters

    public java.lang.String[] setDocumenters()

  Deprecated. Use `getDocumenters()` instead.

  Gets the strings which are displayed in the artists tab of the secondary credits dialog.

### getDocumenters

    public java.lang.String[] getDocumenters()

  Gets the strings which are displayed in the artists tab of the secondary credits dialog.

### setArtists

    public void setArtists(java.lang.String[] val)

  Sets the strings which are displayed in the documenters tab of the secondary credits dialog.

### setArtists

    public java.lang.String[] setArtists()

  Deprecated. Use `getArtists()` instead.

  Gets the strings which are displayed in the documenters tab of the secondary credits dialog.

### getArtists

    public java.lang.String[] getArtists()

  Gets the strings which are displayed in the documenters tab of the secondary credits dialog.

### setTranslatorCredits

    public void setTranslatorCredits(java.lang.String val)

  Sets the translator credits string which is displayed in the translators tab of the secondary credits dialog. The intended use for this string is to display the translator of the language which is currently used in the user interface. It is a good idea to use the customary msgid "translator-credits" for this purpose, since translators will already know the purpose of that msgid, and since AboutDialog will detect if "translator-credits" is untranslated and hide the tab.

### getTranslatorCredits

    public java.lang.String getTranslatorCredits()

  Gets the translator credits string which is displayed in the translators tab of the secondary credits dialog.

### setLogo

    public void setLogo(Pixbuf val)

  Sets the pixbuf to be displayed as logo in the about dialog. If it is `null`, the default window icon set with `Window.setDefaultIcon(org.gnu.gdk.Pixbuf)` will be used.

### getLogo

    public Pixbuf getLogo()

  Gets the pixbuf displayed as logo in the about dialog.

### setLogoIconName

    public void setLogoIconName(java.lang.String val)

  Sets the icon name displaed as logo in the about dialog.

### getLogoIconName

    public java.lang.String getLogoIconName()

  Gets the icon name displaed as logo in the about dialog.

### setURLHook

    public static void setURLHook(AboutDialogActivateLinkMethod method)

  Set a handler object to be used whenever the user activates a URL link in the authors, documenters or artists sections.

### setEmailHook

    public static void setEmailHook(AboutDialogActivateLinkMethod method)

  Set a handler object to be used whenever the user activates an Email link in the authors, documenters or artists sections.